Bug 1286625 - [PATCH][tiff-load] Fix compilation on big endian arches
[PATCH][tiff-load] Fix compilation on big endian arches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gegl03 (Show other bugs)
rawhide
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2015-11-30 06:21 EST by Rafael Fonseca
Modified: 2015-12-28 18:54 EST (History)
2 users (show)

See Also:
Fixed In Version: gegl03-0.3.4-2.fc23 gegl03-0.3.4-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-28 17:59:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix compilation on big endian (2.51 KB, patch)
2015-11-30 06:21 EST, Rafael Fonseca
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 758832 None None None Never

  None (edit)
Description Rafael Fonseca 2015-11-30 06:21:25 EST
Created attachment 1100476 [details]
Fix compilation on big endian

Description of problem: because of a typo, gegl03 fails to build on big endian arches with the following error

tiff-load.c: In function 'load_RGBA':
tiff-load.c:508:17: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'end'
       guint row end = row * p->width + p->width;
                 ^
tiff-load.c:508:17: error: 'end' undeclared (first use in this function)
tiff-load.c:508:17: note: each undeclared identifier is reported only once for each function it appears in
tiff-load.c:509:7: warning: ISO C90 forbids mixed declarations and code [-Wdeclaration-after-statement]
       guint i;
       ^
tiff-load.c:511:31: error: 'row_end' undeclared (first use in this function)
       for (i = row_start; i < row_end; i++)
                               ^
Makefile:1302: recipe for target 'tiff_load_la-tiff-load.lo' failed


Version-Release number of selected component (if applicable): 0.3.4-1


How reproducible: always on ppc-koji


Additional info: reported upstream with patch supplied. Same patched added downstream for the time being. Please, apply on all relevant fedora versions.
Comment 1 Fedora Update System 2015-12-08 09:26:33 EST
gegl03-0.3.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7b0287814e
Comment 2 Fedora Update System 2015-12-08 09:27:42 EST
gegl03-0.3.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b1af2cfa63
Comment 3 Fedora Update System 2015-12-08 17:57:28 EST
gegl03-0.3.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gegl03'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b1af2cfa63
Comment 4 Fedora Update System 2015-12-08 18:50:53 EST
gegl03-0.3.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gegl03'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7b0287814e
Comment 5 Fedora Update System 2015-12-28 17:59:32 EST
gegl03-0.3.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-12-28 18:54:20 EST
gegl03-0.3.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.